<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Cache Table</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for cacheTable {SparkR}"><tr><td>cacheTable {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>Cache Table</h2>

<h3>Description</h3>

<p>Caches the specified table in-memory.
</p>


<h3>Usage</h3>

<pre>
cacheTable(sqlContext, tableName)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>sqlContext</code></td>
<td>
<p>SQLContext to use</p>
</td></tr>
<tr valign="top"><td><code>tableName</code></td>
<td>
<p>The name of the table being cached</p>
</td></tr>
</table>


<h3>Value</h3>

<p>DataFrame
</p>


<h3>Examples</h3>

<pre>
## Not run: 
sc &lt;- sparkR.init()
sqlContext &lt;- sparkRSQL.init(sc)
path &lt;- "path/to/file.json"
df &lt;- read.json(sqlContext, path)
registerTempTable(df, "table")
cacheTable(sqlContext, "table")

## End(Not run)
</pre>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
